Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Class RoomManager

    java.lang.Object
      |
      +--org.jbrain.qlink.chat.RoomManager

public class RoomManager
extends java.lang.Object

Constructor Summary
`RoomManager()`

Method Summary
`static RoomInfo[]` | `getRoomList()`
`static RoomInfo` | `getUserLocation(org.jbrain.qlink.user.QHandle handle)`
`static Room` | `join(org.jbrain.qlink.user.QHandle handle, ChatProfile profile)`
`static AbstractRoom` | `joinAuditorium(org.jbrain.qlink.user.QHandle handle, ChatProfile profile)`
`static Room` | `joinRoom(java.lang.String name, org.jbrain.qlink.user.QHandle handle, ChatProfile profile, boolean bPublic)`
`static void` | `leaveAuditorium(org.jbrain.qlink.user.QHandle handle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoomManager

    public RoomManager()

Method Detail

### join

    public static Room join(org.jbrain.qlink.user.QHandle handle,
                            ChatProfile profile)

### joinRoom

    public static Room joinRoom(java.lang.String name,
                                org.jbrain.qlink.user.QHandle handle,
                                ChatProfile profile,
                                boolean bPublic)

### joinAuditorium

    public static AbstractRoom joinAuditorium(org.jbrain.qlink.user.QHandle handle,
                                              ChatProfile profile)

### leaveAuditorium

    public static void leaveAuditorium(org.jbrain.qlink.user.QHandle handle)

### getRoomList

    public static RoomInfo[] getRoomList()

### getUserLocation

    public static RoomInfo getUserLocation(org.jbrain.qlink.user.QHandle handle)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD